[gnome-packagekit] Remove deprecated gnome-common macros and variables



commit 3c66a64142159cadf703665ffdbf5e3838fdfb3d
Author: Jeremy Bicha <jbicha ubuntu com>
Date:   Sun Aug 14 10:59:42 2016 -0400

    Remove deprecated gnome-common macros and variables
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769893
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh   |   46 +++++++++++++++++++++++++++++++---------------
 configure.ac |    2 --
 2 files changed, 31 insertions(+), 17 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 87dc5ed..ba43e7d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,24 +1,40 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-PKG_NAME=gnome-packagekit
+cd $srcdir
 
-(test -f $srcdir/configure.ac \
-  && test -f $srcdir/autogen.sh \
-  && test -d $srcdir/src) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+        exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common!"
-    exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** '$0' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
 
-(cd $srcdir && gtkdocize) || exit 1
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
-REQUIRED_AUTOMAKE_VERSION=1.7 GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . 
gnome-autogen.sh
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index 015c992..8553b3d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -15,8 +15,6 @@ LT_INIT
 AM_PROG_CC_C_O
 IT_PROG_INTLTOOL([0.35.0])
 
-GNOME_COMPILE_WARNINGS
-
 # set up gtk-doc
 GTK_DOC_CHECK(1.9)
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]